org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmAssociationEndImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmAssociationEndImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmAssociationEnd, EdmMetadataAssociationEnd

      public class EdmAssociationEndImpl
      extends Object
      implements EdmMetadataAssociationEnd, EdmAnnotatable

  Objects of this class represent AssociationEnds

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmAssociationEndImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmEntityType` | `getEntityType()`
    `EdmMultiplicity` | `getMultiplicity()` See `EdmMultiplicity` for more information about possible multiplicities.
    `EdmOnDelete` | `getOnDelete()`
    `String` | `getRole()`
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setEdm(EdmImpl edm)`
    `void` | `setMultiplicity(EdmMultiplicity edmMultiplicity)`
    `void` | `setOnDelete(EdmOnDelete onDelete)`
    `void` | `setRole(String role)`
    `void` | `setType(FullQualifiedName associationEndTypeName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmAssociationEndImpl

          public EdmAssociationEndImpl()

  - ### Method Detail

    - #### getRole

          public String getRole()

      Specified by:
        `getRole` in interface `EdmAssociationEnd`
      Returns:
        the role of this `EdmAssociationEnd` as a String.

    - #### setEdm

          public void setEdm(EdmImpl edm)

      Parameters:
        `edm` - the edm to set

    - #### getEntityType

          public EdmEntityType getEntityType()
                                      throws EdmException

      Specified by:
        `getEntityType` in interface `EdmAssociationEnd`
      Returns:
        `EdmEntityType` this association end points to.
      Throws:
        `EdmException`

    - #### getMultiplicity

          public EdmMultiplicity getMultiplicity()

      Description copied from interface: `EdmAssociationEnd`
      See `EdmMultiplicity` for more information about possible multiplicities.
      Specified by:
        `getMultiplicity` in interface `EdmAssociationEnd`
      Returns:
        `EdmMultiplicity`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### setRole

          public void setRole(String role)

    - #### setMultiplicity

          public void setMultiplicity(EdmMultiplicity edmMultiplicity)

    - #### setType

          public void setType(FullQualifiedName associationEndTypeName)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### setOnDelete

          public void setOnDelete(EdmOnDelete onDelete)

    - #### getOnDelete

          public EdmOnDelete getOnDelete()

      Specified by:
        `getOnDelete` in interface `EdmMetadataAssociationEnd`
      Returns:
        `OnDelete` on delete

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.